
const ИМЯ = "Отладочные фишки Маджонга | Mahjong debug tiles";


ЗарегистрироватьОтладочнуюТемуФишекМаджонга = мир =>
{
    var тема = {
        "🗿": ИМЯ,
    };
    // Первые 34 фишки, которые по 4 попадают в игровое поле.
    for (var номер = 1; номер <= 34; ++номер)
    {
        тема[номер] = `/_фон-128_${номер}.png`;
    }
    // Последние 8 фишек, которые по одной попадают в игровое поле.
    тема[35] = "/_фон-128_|с.png";
    тема[36] = "/_фон-128_|с|.png";
    тема[37] = "/_фон-128_||с|.png";
    тема[38] = "/_фон-128_||с||.png";
    тема[39] = "/_фон-128_|ц.png";
    тема[40] = "/_фон-128_|ц|.png";
    тема[41] = "/_фон-128_||ц|.png";
    тема[42] = "/_фон-128_||ц||.png";
    мир.темыФишек["отладочная|debug"] = тема;
};


// // // //


СоздатьХранилищеТемФишекМаджонга = мир => 
{
    if (!мир.темыФишек)
    {
        мир.темыФишек = {};
    }
};

